Subject: Re: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 08 Nov 2012 20:07:42 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Thierry Volpiatto <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Thu, 08 Nov 2012 18:34:00 +0100
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> From: Thierry Volpiatto <[email-masked]>
>> >> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
>> >> Date: Thu, 08 Nov 2012 16:58:50 +0100
>> >> 
>> >> the es.exe backend that is for some reasons bad supported by start-process.
>> >
>> > Any details about this?
>> Unfortunately no, I use rarely Windows and BTW es.exe, it is just a
>> guess.
>
> What is this guess based on?  What incidents did you witness that led
> you to this guess?
Because it is the only async process that run in helm-for-files, and
every time the crash come from this; On GNU/Linux helm-for-files use
locate and nobody reported crash on this platform.
It is why I asked Fabrice to remove this source from helm-for-files to
see what happen.  I am nearly sure the crashes will stop.
Using helm-locate alone (outside of helm-for-files) should also crash
emacs (on Windows I mean).
So maybe es.exe, with specific settings in Everything could cause a
crash?
But as I said it is just supposition so take this with care.
 
-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997